Skip to main content

Put Platform Session Template

PUT 

/v1/sandbox/:sandbox_id/session-template/:session_template_id/platform-session-template/:platform

Update a Platform Session Template for a specific Session Template

Requires permission sandbox:config:edit.

Request

Path Parameters

    platform Platformrequired

    Possible values: [Anon, Basic, XboxLive, PSN, NintendoNAID, NintendoSwitch, NintendoPPID, Google, GooglePlay, Apple, Epic, Steam, Amazon, Twitch, RallyHere, LegacyName]

    session_template_id uuidrequired
    sandbox_id uuidrequired

    Sandbox ID

Body

required

    platform_session_type Platform Session Type (string)required

    Possible values: non-empty and <= 50 characters

    The platform's name for this type of platform session

    max_players Max Players (integer)

    Possible values: >= 1

    The maximum number of players that are allowed within this platform session

    custom_data

    object

    Custom passthrough data that will be added to all sessions of this type

    property name* string
    platform Platform (string)required

    Possible values: [Anon, Basic, XboxLive, PSN, NintendoNAID, NintendoSwitch, NintendoPPID, Google, GooglePlay, Apple, Epic, Steam, Amazon, Twitch, RallyHere, LegacyName]

    An enumeration.

Responses

Successful Response

Schema

    platform_session_type Platform Session Type (string)required

    Possible values: non-empty and <= 50 characters

    The platform's name for this type of platform session

    max_players Max Players (integer)

    Possible values: >= 1

    The maximum number of players that are allowed within this platform session

    custom_data

    object

    Custom passthrough data that will be added to all sessions of this type

    property name* string
    platform Platform (string)required

    Possible values: [Anon, Basic, XboxLive, PSN, NintendoNAID, NintendoSwitch, NintendoPPID, Google, GooglePlay, Apple, Epic, Steam, Amazon, Twitch, RallyHere, LegacyName]

    An enumeration.

    sandbox_id uuid

    ID of the Sandbox

    session_template_id uuidrequired

    Unique id for this type of session that this template is associated with

    last_modified_account_id uuid

    Account ID of the user who last modified the resource

    last_modified_timestamp date-time

    Timestamp of when the resource was last modified

Loading...